Update a listing

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://bump.sh/hivepress/doc/rest-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"HivePress REST API MCP server": {
  "url": "https://bump.sh/hivepress/doc/rest-api/mcp"
}
Close
POST /listings/{listing_id}

In addition to the default listing fields, you can also update custom fields added via the listing attributes or HivePress extensions.

Path parameters

  • listing_id integer Required

    Listing ID.

application/json

Body

  • title string

    Listing title.

  • description string

    Listing description.

Responses

  • 200
POST /listings/{listing_id}
curl \
 --request POST '/wp-json/hivepress/v1/listings/{listing_id}' \
 --header "Content-Type: application/json" \
 --data '{"title":"string","description":"string"}'
Request examples
{
  "title": "string",
  "description": "string"
}